from django import forms 
from adminapp import models
from adminapp.models import Feedback  


# class userForm(forms.ModelForm):
#     class Meta:
#         model = models.user
#         fields = "__all__"   

class categoryForm(forms.ModelForm):
    class Meta:
        model = models.Category
        fields = "__all__"  

class bikeForm(forms.ModelForm):
    class Meta:
        model = models.bike
        fields = "__all__" 
        exclude = ['user'] 


class stationForm(forms.ModelForm):
    class Meta:
        model = models.station
        fields = "__all__"   

class rentalForm(forms.ModelForm):
    class Meta:
        model = models.rental
        fields = "__all__"   

class FeedbackForm(forms.ModelForm):
   class Meta:
        model = models.Feedback
        fields = "__all__"  
        exclude = ['user']


class paymentForm(forms.ModelForm):
    class Meta:
        model = models.payment
        fields = "__all__"  

class enquiryForm(forms.ModelForm):
    class Meta:
        model = models.Enquiry
        fields = "__all__"  